Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057327 - [FEAT 7.1] Add %{_pkgdocdir}
Summary: [FEAT 7.1] Add %{_pkgdocdir}
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: redhat-rpm-config
Version: 7.0
Hardware: All
OS: Linux
medium
low
Target Milestone: rc
: ---
Assignee: Florian Festi
QA Contact: Karel Srot
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-23 20:23 UTC by Orion Poplawski
Modified: 2016-11-04 04:45 UTC (History)
3 users (show)

Fixed In Version: redhat-rpm-config-9.1.0-71.el7
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-04 04:45:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2372 normal SHIPPED_LIVE redhat-rpm-config bug fix and enhancement update 2016-11-03 13:51:20 UTC

Description Orion Poplawski 2014-01-23 20:23:56 UTC
Description of problem:

Please consider adding %{_pkgdocdir} macro from Fedora.

Version-Release number of selected component (if applicable):
9.1.0-56.el7

Comment 2 Jan Zeleny 2014-01-24 07:43:09 UTC
I'm sorry but at this point it's too late to add random changes like that. Moving to 7.1, maybe it will get there

Comment 7 Florian Festi 2016-07-28 09:51:03 UTC
Looks like this change breaks %doc by defining

%_docdir_fmt            %%{NAME}
instead of %%{NAME}-%%{VERSION} which is the default in effect in RHEL7.

Comment 9 Petr Spacek 2016-07-28 14:22:29 UTC
I confirm that redhat-rpm-config-9.1.0-71.el7.noarch fixed the /usr/share/doc naming issue for me.

Comment 11 errata-xmlrpc 2016-11-04 04:45:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2372.html


Note You need to log in before you can comment on or make changes to this bug.